#### Description:

A SpecFluxFrame combines a SpecFrame and a FluxFrame into a single 2-dimensional compound Frame. Such a Frame can for instance be used to describe a Plot of a spectrum in which the first axis represents spectral position and the second axis represents flux.

#### Constructor Function

astSpecFluxFrame

#### Inheritance

The SpecFluxFrame class inherits from the CmpFrame class.

#### Attributes

The SpecFluxFrame class does not define any new attributes beyond those which are applicable to all CmpFrames. However, the attributes of the component Frames can be accessed as if they were attributes of the SpecFluxFrame. For instance, the SpecFluxFrame will recognise the `"` StdOfRest`"` attribute and forward access requests to the component SpecFrame. An axis index can optionally be appended to the end of any attribute name, in which case the request to access the attribute will be forwarded to the primary Frame defining the specified axis.

#### Functions

The SpecFluxFrame class does not define any new functions beyond those which are applicable to all CmpFrames.
Copyright (C) 2021 East Asian Observatory